com.google.gwt.core.ext.soyc

## Class TypeAndSourceNameComparator

- java.lang.Object
- - com.google.gwt.core.ext.soyc.TypeAndSourceNameComparator

All Implemented Interfaces:
  java.io.Serializable, java.util.Comparator<Member>

    class TypeAndSourceNameComparator
    extends java.lang.Object
    implements java.util.Comparator<Member>, java.io.Serializable

This is a top-level type so that we can serialize any TreeMaps that happen to use `Member.TYPE_AND_SOURCE_NAME_COMPARATOR`.

### Constructor Summary

Constructors
Constructor and Description
`TypeAndSourceNameComparator()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `compare(Member o1, Member o2)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Comparator

`comparing, comparing, comparingDouble, comparingInt, comparingLong, equals, naturalOrder, nullsFirst, nullsLast, reversed, reverseOrder, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

### Constructor Detail

#### TypeAndSourceNameComparator

    TypeAndSourceNameComparator()

### Method Detail

#### compare

    public int compare(Member o1,
                       Member o2)

Specified by:
  `compare` in interface `java.util.Comparator<Member>`